function BlastRunnerDetonate(actor)
	local explosion = CreateMOSRotating("Particle Blast Runner Explosion");
	explosion.Pos = actor.Pos;
	MovableMan:AddParticle(explosion);
	actor.ToDelete = true;
	explosion:GibThis();
end

function Update(self)

	if self:GetController():IsState(Controller.MOVE_LEFT) then
		self.AngularVel = math.min(15,self.AngularVel+3);
	end

	if self:GetController():IsState(Controller.MOVE_RIGHT) then
		self.AngularVel = math.max(-15,self.AngularVel-3);
	end

	local rayHitPos = Vector(0,0);
	if self:GetController():IsState(Controller.BODY_JUMP) and SceneMan:CastStrengthRay(self.Pos,Vector(0,(self.Radius+5)),0,rayHitPos,0,0,SceneMan.SceneWrapsX) == true then
		self.Vel = self.Vel + Vector(0,-5);
	end

end